Get custom lists
curl --request GET \
--url https://api.fanvue.com/chats/lists/custom \
--header 'Authorization: Bearer <token>' \
--header 'X-Fanvue-API-Version: <x-fanvue-api-version>'import requests
url = "https://api.fanvue.com/chats/lists/custom"
headers = {
"X-Fanvue-API-Version": "<x-fanvue-api-version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'X-Fanvue-API-Version': '<x-fanvue-api-version>',
Authorization: 'Bearer <token>'
}
};
fetch('https://api.fanvue.com/chats/lists/custom', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"uuid": "123e4567-e89b-12d3-a456-426614174000",
"name": "VIP Subscribers",
"membersCount": 47,
"createdAt": "2024-01-15T10:30:00Z"
},
{
"uuid": "123e4567-e89b-12d3-a456-426614174001",
"name": "New Followers",
"membersCount": 128,
"createdAt": "2024-02-20T09:15:00Z"
},
{
"uuid": "123e4567-e89b-12d3-a456-426614174002",
"name": "Content Collaborators",
"membersCount": 23,
"createdAt": "2024-01-08T11:20:00Z"
}
],
"pagination": {
"page": 1,
"size": 20,
"hasMore": false
}
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>",
"message": "<string>",
"nextVersion": "<string>"
}{
"error": "<string>"
}Fan Lists
Get custom lists
Get user’s custom lists with member counts. Supports pagination and optional name search.
GET
/
chats
/
lists
/
custom
Get custom lists
curl --request GET \
--url https://api.fanvue.com/chats/lists/custom \
--header 'Authorization: Bearer <token>' \
--header 'X-Fanvue-API-Version: <x-fanvue-api-version>'import requests
url = "https://api.fanvue.com/chats/lists/custom"
headers = {
"X-Fanvue-API-Version": "<x-fanvue-api-version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'X-Fanvue-API-Version': '<x-fanvue-api-version>',
Authorization: 'Bearer <token>'
}
};
fetch('https://api.fanvue.com/chats/lists/custom', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"uuid": "123e4567-e89b-12d3-a456-426614174000",
"name": "VIP Subscribers",
"membersCount": 47,
"createdAt": "2024-01-15T10:30:00Z"
},
{
"uuid": "123e4567-e89b-12d3-a456-426614174001",
"name": "New Followers",
"membersCount": 128,
"createdAt": "2024-02-20T09:15:00Z"
},
{
"uuid": "123e4567-e89b-12d3-a456-426614174002",
"name": "Content Collaborators",
"membersCount": 23,
"createdAt": "2024-01-08T11:20:00Z"
}
],
"pagination": {
"page": 1,
"size": 20,
"hasMore": false
}
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>",
"message": "<string>",
"nextVersion": "<string>"
}{
"error": "<string>"
}Required scopes
read:chat— Read chat conversations, messages, and chat-related data. This includes viewing chat lists and message history.read:fan— Access fan-related data and information within the platform.
Authorizations
OAuth 2.0 access token, presented as a JWT bearer token in the Authorization header. Obtain a token via the authorization-code flow; the scopes granted to the token determine which operations it may call.
Headers
API version to use for the request
Example:
"2025-06-26"
Query Parameters
Page number to retrieve (starts from 1)
Required range:
x >= 1Number of items to return per page (1-50, default: 15)
Required range:
1 <= x <= 50Search term to filter lists by name
Was this page helpful?